Bug 985465 - Can't remove disks after removing VM when symlink is missing.
Can't remove disks after removing VM when symlink is missing.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Maor
Aharon Canan
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 10:37 EDT by Aharon Canan
Modified: 2016-02-10 14:36 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 04:14:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: Triaged+


Attachments (Terms of Use)
logs (2.15 MB, application/x-gzip)
2013-07-17 10:37 EDT, Aharon Canan
no flags Details

  None (edit)
Description Aharon Canan 2013-07-17 10:37:00 EDT
Created attachment 774793 [details]
logs

Description of problem:
After deleting one symlink from /rhev/data-center/
removing VM with "remove disks" marked, didn't remove the disks from UI and from host. 
trying to remove each disk manually is blocked - option is grayed out.

Version-Release number of selected component (if applicable):
is5

How reproducible:
100%

Steps to Reproduce:
1. Create VM with multiple disks
2. remove one symlink from /rhev/data-center/ (on the relevant host)
3. remove VM (with "remove disks")


Actual results:
all disks still appear in lvs and in UI

Expected results:
Disks should be removed, at least should be able to remove manually disks that belong to non existing VM

Additional info:
Comment 1 Maor 2013-07-27 21:57:11 EDT
I didn't find in the logs any trace of errors while removing the VM and the disks, can u please point out the VM that you tried to delet and the and the symlink that you deleted.

The desired behaviour is that those disks should be marked in illegal state and an appropriate event log should be presented, was that happened?
Comment 2 Maor 2013-07-27 22:09:34 EDT
(In reply to Maor from comment #1)
> I didn't find in the logs any trace of errors while removing the VM and the
> disks, can u please point out the VM that you tried to delet and the and the
> symlink that you deleted.
> 
> The desired behaviour is that those disks should be marked in illegal state
> and an appropriate event log should be presented, was that happened?
Small correction regarding the desired behaviour described in comment 1, disks will become ILLEGAL only when the remove request to VDSM will encounter network exception (Since in that case we can't e sure if VDSM got our request or not) on any other case the disk should be deleted from the GUI.
I didn't find any indication of network exception in the logs when calling the remove command.
Comment 3 Maor 2013-08-08 04:14:17 EDT
There are no trace of errors in the logs, no indication of which VM has been tried to be deleted (As commented in comment 1)
Closing it for now until it will be clarified.

Note You need to log in before you can comment on or make changes to this bug.